package compbio.engine;

import java.util.Set;

/**
 * List of all posible final job statuses
 * 
 */
public enum JobStatus {
	OK, TIMEDOUT, STOPPED, JPREDERROR;

	public static JobStatus getJobStatus(String status) {
		status = status.trim().toLowerCase();
		for (JobStatus st : JobStatus.values()) {
			if (st.toString().equalsIgnoreCase(status)) {
				return st;
			}
		}
		return null;
	}

	public static String toString(Set<JobStatus> statuses) {
		if (statuses == null || statuses.isEmpty()) {
			return "No known services...\n";
		}
		String value = "";
		for (JobStatus st : statuses) {
			if (null != st) {
				value += st + "\n";
			} else {
				value += "Unknown Job Status\n";
			}
		}
		return value;
	}

	public static void main(String[] args) {
		System.out.println(OK);
	}
}
